echo off
rem     AMRUNINS.BAT
rem     This program erases Tivoli Point-of-Sale Manager 
rem     files from a 4690 controller.
rem     The syntax of the program is
rem             AMRUNINS x, where x can be
rem                     S: remove the product unattended
rem                     I: allow warning messages
rem
define  log = c:\amrunins.log
rem echo Tivoli Point-of-Sale Manager uninstall program started. >> log
disp_scr 43 (A:AMRLOGSG.MSG > log
disp_scr 41 (A:AMRLOGSG.MSG >> log
REM Erase log files
copy c:\amrunins.log c:\adxnsap.log >> log >>* log
adxcsu0l 3 5 c:\adxnsap.log >> log >>* log
erase c:/adxnsap.log >> log >>* log
copy c:\amrunins.log c:\amrsetad.log >> log >>* log
adxcsu0l 3 5 c:\amrsetad.log >> log >>* log
erase c:/amrsetad.log >> log >>* log
copy c:\amrunins.log c:\amrsetup.log >> log >>* log
adxcsu0l 3 5 c:\amrsetup.log >> log >>* log
erase c:/amrsetup.log >> log >>* log
rem
if (%1) == (I) goto WARNING
if (%1) == (i) goto WARNING
if (%1) == ()  goto WARNING
if (%1) == (S) goto START
if (%1) == (s) goto START
goto USAGE
:WARNING
disp_scr 48 (A:AMRSCRNG.MSG
echo 
pause
cls
disp_scr 32 (A:AMRSCRNG.MSG
:START
REM   Erase files in ADX_IPGM
disp_scr 44 ADX_IPGM (A:AMRLOGSG.MSG >> log
rem Erase ASM related files
if exist adx_ipgm:adxcatpd.dat erase adx_ipgm:adxcatpd.dat >> log >>* log
if exist adx_ipgm:adxcatpi.dat erase adx_ipgm:adxcatpi.dat >> log >>* log
if exist adx_ipgm:adxeabpf.dat erase adx_ipgm:adxeabpf.dat >> log >>* log
rem Erase known compound files 
if exist adx_ipgm:amrasm.286 erase adx_ipgm:amrasm.286 >> log >>* log
if exist adx_ipgm:amragent.286 erase adx_ipgm:amragent.286 >> log >>* log
if exist adx_ipgm:amrmailm.286 erase adx_ipgm:amrmailm.286 >> log >>* log
if exist adx_ipgm:amrevmon.286 erase adx_ipgm:amrevmon.286 >> log >>* log
if exist adx_ipgm:amrfilsv.286 erase adx_ipgm:amrfilsv.286 >> log >>* log
if exist adx_ipgm:amrrunsv.286 erase adx_ipgm:amrrunsv.286 >> log >>* log
if exist adx_ipgm:amrsetad.286 erase adx_ipgm:amrsetad.286 >> log >>* log
if exist adx_ipgm:amr_scan.286 erase adx_ipgm:amr_scan.286 >> log >>* log
if exist adx_ipgm:wtraddr.286 erase adx_ipgm:wtraddr.286 >> log >>* log
if exist adx_ipgm:wtrver.286 erase adx_ipgm:wtrver.286 >> log >>* log
if exist adx_ipgm:adxsetup.bat erase adx_ipgm:adxsetup.bat >> log >>* log
if exist adx_ipgm:adxlogsg.msg erase adx_ipgm:adxlogsg.msg >> log >>* log
if exist adx_ipgm:adxscrng.msg erase adx_ipgm:adxscrng.msg >> log >>* log
rem   The following few lines delete files that have local attributes.
echo Tivoli Point-of-Sale Manager uninstall file > adx_ipgm:amrtrace.xml
adxcsu0l 3 5 adx_ipgm:amrtrace.xml >> log >>* log
rem   Erase event monitor configuration file
erase   adx_ipgm:amrsv??f.xml >> log >>* log
copy    adx_ipgm:amrtrace.xml adx_ipgm:services.xml >> log >>* log
erase   adx_ipgm:services.xml >> log >>* log
rem   Erase address book file
erase   adx_ipgm:amrad??f.xml >> log >>* log
copy    adx_ipgm:amrtrace.xml adx_ipgm:addrbook.xml >> log >>* log
erase   adx_ipgm:addrbook.xml >> log >>* log
rem Erase Inventory related files
copy    adx_ipgm:amrtrace.xml adx_ipgm:amrinvpf.xml >> log >>* log
erase   adx_ipgm:amrinvpf.xml >> log >>* log
copy    adx_ipgm:amrtrace.xml adx_ipgm:amrhscan.mif >> log >>* log
erase   adx_ipgm:amrhscan.mif >> log >>* log
copy    adx_ipgm:amrtrace.xml adx_ipgm:amrsscan.mif >> log >>* log
erase   adx_ipgm:amrsscan.mif >> log >>* log
copy    adx_ipgm:amrtrace.xml adx_ipgm:amrpscan.mif >> log >>* log
erase   adx_ipgm:amrpscan.mif >> log >>* log
copy    adx_ipgm:amrtrace.xml adx_ipgm:amrhscn.mif >> log >>* log
erase   adx_ipgm:amrhscn.mif >> log >>* log
copy    adx_ipgm:amrtrace.xml adx_ipgm:amrsscn.mif >> log >>* log
erase   adx_ipgm:amrsscn.mif >> log >>* log
copy    adx_ipgm:amrtrace.xml adx_ipgm:amrpscn.mif >> log >>* log
erase   adx_ipgm:amrpscn.mif >> log >>* log
rem Erase trace related files
copy    adx_ipgm:amrtrace.xml adx_ipgm:amragent.trc >> log >>* log
erase   adx_ipgm:amragent.trc >> log >>* log
copy    adx_ipgm:amrtrace.xml adx_ipgm:amrmailm.trc >> log >>* log
erase   adx_ipgm:amrmailm.trc >> log >>* log
copy    adx_ipgm:amrtrace.xml adx_ipgm:amrrunsv.trc >> log >>* log
erase   adx_ipgm:amrrunsv.trc >> log >>* log
copy    adx_ipgm:amrtrace.xml adx_ipgm:amrfilsv.trc >> log >>* log
erase   adx_ipgm:amrfilsv.trc >> log >>* log
copy    adx_ipgm:amrtrace.xml adx_ipgm:amrevmon.trc >> log >>* log
erase   adx_ipgm:amrevmon.trc >> log >>* log
copy    adx_ipgm:amrtrace.xml adx_ipgm:amr_scan.trc >> log >>* log
erase   adx_ipgm:amr_scan.trc >> log >>* log
copy    adx_ipgm:amrtrace.xml adx_ipgm:tmretail.xml >> log >>* log
erase   adx_ipgm:tmretail.xml >> log >>* log
erase   adx_ipgm:amrtrace.xml >> log >>* log
REM     The next two lines should erase remaining files, if any.
erase   adx_ipgm:amr*.* >> log >>* log
REM
REM   Erase files in ADX_IMNT
REM   Assume we did not run ASM on this product while another controller
REM   on LAN was acting as the master
disp_scr 44 ADX_IMNT (A:AMRLOGSG.MSG >> log
if exist adx_imnt:amrrcp.286 erase adx_imnt:amrrcp.286 >> log >>* log
if exist adx_imnt:amrasm.286 erase adx_imnt:amrasm.286 >> log >>* log
if exist adx_imnt:amragent.286 erase adx_imnt:amragent.286 >> log >>* log
if exist adx_imnt:amrmailm.286 erase adx_imnt:amrmailm.286 >> log >>* log
if exist adx_imnt:amrevmon.286 erase adx_imnt:amrevmon.286 >> log >>* log
if exist adx_imnt:amrfilsv.286 erase adx_imnt:amrfilsv.286 >> log >>* log
if exist adx_imnt:amrrunsv.286 erase adx_imnt:amrrunsv.286 >> log >>* log
if exist adx_imnt:amrsetad.286 erase adx_imnt:amrsetad.286 >> log >>* log
if exist adx_imnt:amr_scan.286 erase adx_imnt:amr_scan.286 >> log >>* log
if exist adx_imnt:wtraddr.286 erase adx_imnt:wtraddr.286 >> log >>* log
if exist adx_imnt:wtrver.286 erase adx_imnt:wtrver.286 >> log >>* log
if exist adx_imnt:adxsetup.bat erase adx_imnt:adxsetup.bat >> log >>* log
if exist adx_imnt:adxcatpd.dum erase adx_imnt:adxcatpd.dum >> log >>* log
if exist adx_imnt:adxcatpd.dat erase adx_imnt:adxcatpd.dat >> log >>* log
if exist adx_imnt:adxcatpi.dat erase adx_imnt:adxcatpi.dat >> log >>* log
if exist adx_imnt:adxeabpf.dat erase adx_imnt:adxeabpf.dat >> log >>* log
if exist adx_imnt:adxla1pf.dat erase adx_imnt:adxla1pf.dat >> log >>* log
if exist adx_imnt:adxtivof.dat erase adx_imnt:adxtivof.dat >> log >>* log
if exist adx_imnt:adxlogsg.msg erase adx_imnt:adxlogsg.msg >> log >>* log
if exist adx_imnt:adxscrng.msg erase adx_imnt:adxscrng.msg >> log >>* log
if exist adx_imnt:amrtrace.xml erase adx_imnt:amrtrace.xml >> log >>* log
REM     The next line should erase remaining files, if any
erase   adx_imnt:amr*.* >> log >>* log
REM
REM   Erase files in ADX_IBUL
REM   Assume we did not run ASM on this product while another controller
REM   on LAN was acting as the master
disp_scr 44 ADX_IBUL (A:AMRLOGSG.MSG >> log
if exist adx_ibul:amrasm.286 erase adx_ibul:amrasm.286 >> log >>* log
if exist adx_ibul:amragent.286 erase adx_ibul:amragent.286 >> log >>* log
if exist adx_ibul:amrmailm.286 erase adx_ibul:amrmailm.286 >> log >>* log
if exist adx_ibul:amrevmon.286 erase adx_ibul:amrevmon.286 >> log >>* log
if exist adx_ibul:amrfilsv.286 erase adx_ibul:amrfilsv.286 >> log >>* log
if exist adx_ibul:amrrunsv.286 erase adx_ibul:amrrunsv.286 >> log >>* log
if exist adx_ibul:amrsetad.286 erase adx_ibul:amrsetad.286 >> log >>* log
if exist adx_ibul:amr_scan.286 erase adx_ibul:amr_scan.286 >> log >>* log
if exist adx_ibul:wtraddr.286 erase adx_ibul:wtraddr.286 >> log >>* log
if exist adx_ibul:wtrver.286 erase adx_ibul:wtrver.286 >> log >>* log
if exist adx_ibul:adxsetup.bat erase adx_ibul:adxsetup.bat >> log >>* log
if exist adx_ibul:adxcatpd.dum erase adx_ibul:adxcatpd.dum >> log >>* log
if exist adx_ibul:adxcatpd.dat erase adx_ibul:adxcatpd.dat >> log >>* log
if exist adx_ibul:adxcatpi.dat erase adx_ibul:adxcatpi.dat >> log >>* log
if exist adx_ibul:adxeabpf.dat erase adx_ibul:adxeabpf.dat >> log >>* log
if exist adx_ibul:adxla1pf.dat erase adx_ibul:adxla1pf.dat >> log >>* log
if exist adx_ibul:adxtivof.dat erase adx_ibul:adxtivof.dat >> log >>* log
if exist adx_ibul:adxlogsg.msg erase adx_ibul:adxlogsg.msg >> log >>* log
if exist adx_ibul:adxscrng.msg erase adx_ibul:adxscrng.msg >> log >>* log
if exist adx_ibul:amrtrace.xml erase adx_ibul:amrtrace.xml >> log >>* log
REM     The next line should erase remaining files, if any
erase   adx_ibul:amr*.* >> log >>* log
REM   
REM    
REM   
REM   Erase files in ADX_UPGM
disp_scr 44 ADX_UPGM (A:AMRLOGSG.MSG >> log
rem Erase ASM related files
if exist adx_upgm:adxcatpd.dat erase adx_upgm:adxcatpd.dat >> log >>* log
if exist adx_upgm:adxcatpi.dat erase adx_upgm:adxcatpi.dat >> log >>* log
if exist adx_upgm:adxeabpf.dat erase adx_upgm:adxeabpf.dat >> log >>* log
rem   Erase event monitor configuration file
erase   adx_upgm:amrsv??f.xml >> log >>* log
copy    adx_upgm:amrtrace.xml adx_upgm:services.xml >> log >>* log
erase   adx_upgm:services.xml >> log >>* log
rem   Erase address book file
erase   adx_upgm:amrad??f.xml >> log >>* log
copy    adx_upgm:amrtrace.xml adx_upgm:addrbook.xml >> log >>* log
erase   adx_upgm:addrbook.xml >> log >>* log
rem Erase known compound files 
if exist adx_upgm:amrasm.286 erase adx_upgm:amrasm.286 >> log >>* log
if exist adx_upgm:amragent.286 erase adx_upgm:amragent.286 >> log >>* log
if exist adx_upgm:amrmailm.286 erase adx_upgm:amrmailm.286 >> log >>* log
if exist adx_upgm:amrevmon.286 erase adx_upgm:amrevmon.286 >> log >>* log
if exist adx_upgm:amrfilsv.286 erase adx_upgm:amrfilsv.286 >> log >>* log
if exist adx_upgm:amrrunsv.286 erase adx_upgm:amrrunsv.286 >> log >>* log
if exist adx_upgm:amrsetad.286 erase adx_upgm:amrsetad.286 >> log >>* log
if exist adx_upgm:amr_scan.286 erase adx_upgm:amr_scan.286 >> log >>* log
if exist adx_upgm:wtraddr.286 erase adx_upgm:wtraddr.286 >> log >>* log
if exist adx_upgm:wtrver.286 erase adx_upgm:wtrver.286 >> log >>* log
if exist adx_upgm:adxsetup.bat erase adx_upgm:adxsetup.bat >> log >>* log
if exist adx_upgm:adxlogsg.msg erase adx_upgm:adxlogsg.msg >> log >>* log
if exist adx_upgm:adxscrng.msg erase adx_upgm:adxscrng.msg >> log >>* log
rem   The following few lines delete files that have local attributes.
echo Tivoli Point-of-Sale Manager uninstall file > adx_upgm:amrtrace.xml
adxcsu0l 3 5 adx_upgm:amrtrace.xml >> log >>* log
rem Erase Inventory related files
copy    adx_upgm:amrtrace.xml adx_upgm:amrinvpf.xml >> log >>* log
erase   adx_upgm:amrinvpf.xml >> log >>* log
copy    adx_upgm:amrtrace.xml adx_upgm:amrhscan.mif >> log >>* log
erase   adx_upgm:amrhscan.mif >> log >>* log
copy    adx_upgm:amrtrace.xml adx_upgm:amrsscan.mif >> log >>* log
erase   adx_upgm:amrsscan.mif >> log >>* log
copy    adx_upgm:amrtrace.xml adx_upgm:amrpscan.mif >> log >>* log
erase   adx_upgm:amrpscan.mif >> log >>* log
copy    adx_upgm:amrtrace.xml adx_upgm:amrhscn.mif >> log >>* log
erase   adx_upgm:amrhscn.mif >> log >>* log
copy    adx_upgm:amrtrace.xml adx_upgm:amrsscn.mif >> log >>* log
erase   adx_upgm:amrsscn.mif >> log >>* log
copy    adx_upgm:amrtrace.xml adx_upgm:amrpscn.mif >> log >>* log
erase   adx_upgm:amrpscn.mif >> log >>* log
rem Erase trace related files
copy    adx_upgm:amrtrace.xml adx_upgm:amragent.trc >> log >>* log
erase   adx_upgm:amragent.trc >> log >>* log
copy    adx_upgm:amrtrace.xml adx_upgm:amrmailm.trc >> log >>* log
erase   adx_upgm:amrmailm.trc >> log >>* log
copy    adx_upgm:amrtrace.xml adx_upgm:amrrunsv.trc >> log >>* log
erase   adx_upgm:amrrunsv.trc >> log >>* log
copy    adx_upgm:amrtrace.xml adx_upgm:amrfilsv.trc >> log >>* log
erase   adx_upgm:amrfilsv.trc >> log >>* log
copy    adx_upgm:amrtrace.xml adx_upgm:amrevmon.trc >> log >>* log
erase   adx_upgm:amrevmon.trc >> log >>* log
copy    adx_upgm:amrtrace.xml adx_upgm:amr_scan.trc >> log >>* log
erase   adx_upgm:amr_scan.trc >> log >>* log
erase   adx_upgm:amrtrace.xml >> log >>* log
REM     The next two lines should erase remaining files, if any.
erase   adx_upgm:amr*.* >> log >>* log
REM
REM   Erase files in ADX_UMNT
REM   Assume we did not run ASM on this product while another controller
REM   on LAN was acting as the master
disp_scr 44 ADX_UMNT (A:AMRLOGSG.MSG >> log
if exist adx_umnt:amrrcp.286 erase adx_umnt:amrrcp.286 >> log >>* log
if exist adx_umnt:amrasm.286 erase adx_umnt:amrasm.286 >> log >>* log
if exist adx_umnt:amragent.286 erase adx_umnt:amragent.286 >> log >>* log
if exist adx_umnt:amrmailm.286 erase adx_umnt:amrmailm.286 >> log >>* log
if exist adx_umnt:amrevmon.286 erase adx_umnt:amrevmon.286 >> log >>* log
if exist adx_umnt:amrfilsv.286 erase adx_umnt:amrfilsv.286 >> log >>* log
if exist adx_umnt:amrrunsv.286 erase adx_umnt:amrrunsv.286 >> log >>* log
if exist adx_umnt:amrsetad.286 erase adx_umnt:amrsetad.286 >> log >>* log
if exist adx_umnt:amr_scan.286 erase adx_umnt:amr_scan.286 >> log >>* log
if exist adx_umnt:wtraddr.286 erase adx_umnt:wtraddr.286 >> log >>* log
if exist adx_umnt:wtrver.286 erase adx_umnt:wtrver.286 >> log >>* log
if exist adx_umnt:adxsetup.bat erase adx_umnt:adxsetup.bat >> log >>* log
if exist adx_umnt:adxcatpd.dum erase adx_umnt:adxcatpd.dum >> log >>* log
if exist adx_umnt:adxcatpd.dat erase adx_umnt:adxcatpd.dat >> log >>* log
if exist adx_umnt:adxcatpi.dat erase adx_umnt:adxcatpi.dat >> log >>* log
if exist adx_umnt:adxeabpf.dat erase adx_umnt:adxeabpf.dat >> log >>* log
if exist adx_umnt:adxla1pf.dat erase adx_umnt:adxla1pf.dat >> log >>* log
if exist adx_umnt:adxtivof.dat erase adx_umnt:adxtivof.dat >> log >>* log
if exist adx_umnt:adxlogsg.msg erase adx_umnt:adxlogsg.msg >> log >>* log
if exist adx_umnt:adxscrng.msg erase adx_umnt:adxscrng.msg >> log >>* log
if exist adx_umnt:amrtrace.xml erase adx_umnt:amrtrace.xml >> log >>* log
REM     The next line should erase remaining files, if any
erase   adx_umnt:amr*.* >> log >>* log
REM
REM   Erase files in ADX_UBUL
REM   Assume we did not run ASM on this product while another controller
REM   on LAN was acting as the master
disp_scr 44 ADX_UBUL (A:AMRLOGSG.MSG >> log
if exist adx_ubul:amrasm.286 erase adx_ubul:amrasm.286 >> log >>* log
if exist adx_ubul:amragent.286 erase adx_ubul:amragent.286 >> log >>* log
if exist adx_ubul:amrmailm.286 erase adx_ubul:amrmailm.286 >> log >>* log
if exist adx_ubul:amrevmon.286 erase adx_ubul:amrevmon.286 >> log >>* log
if exist adx_ubul:amrfilsv.286 erase adx_ubul:amrfilsv.286 >> log >>* log
if exist adx_ubul:amrrunsv.286 erase adx_ubul:amrrunsv.286 >> log >>* log
if exist adx_ubul:amrsetad.286 erase adx_ubul:amrsetad.286 >> log >>* log
if exist adx_ubul:amr_scan.286 erase adx_ubul:amr_scan.286 >> log >>* log
if exist adx_ubul:wtraddr.286 erase adx_ubul:wtraddr.286 >> log >>* log
if exist adx_ubul:wtrver.286 erase adx_ubul:wtrver.286 >> log >>* log
if exist adx_ubul:adxsetup.bat erase adx_ubul:adxsetup.bat >> log >>* log
if exist adx_ubul:adxcatpd.dum erase adx_ubul:adxcatpd.dum >> log >>* log
if exist adx_ubul:adxcatpd.dat erase adx_ubul:adxcatpd.dat >> log >>* log
if exist adx_ubul:adxcatpi.dat erase adx_ubul:adxcatpi.dat >> log >>* log
if exist adx_ubul:adxeabpf.dat erase adx_ubul:adxeabpf.dat >> log >>* log
if exist adx_ubul:adxla1pf.dat erase adx_ubul:adxla1pf.dat >> log >>* log
if exist adx_ubul:adxtivof.dat erase adx_ubul:adxtivof.dat >> log >>* log
if exist adx_ubul:adxlogsg.msg erase adx_ubul:adxlogsg.msg >> log >>* log
if exist adx_ubul:adxscrng.msg erase adx_ubul:adxscrng.msg >> log >>* log
if exist adx_ubul:amrtrace.xml erase adx_ubul:amrtrace.xml >> log >>* log
REM     The next line should erase remaining files, if any
erase   adx_ubul:amr*.* >> log >>* log
REM
REM
REM  
REM Erase files in other subdirectories
disp_scr 44 ADX_IDT1 (A:AMRLOGSG.MSG >> log
erase   adx_idt1:amr*.* >> log >>* log
if exist adx_sdt1:adxlafpf.dat erase adx_sdt1:adxlafpf.dat >> log >>* log
if exist adx_sdt1:adxlalpf.dat erase adx_sdt1:adxlalpf.dat >> log >>* log
rem   Erase tivoli pipe configuration file
disp_scr 44 ADX_SDT1 (A:AMRLOGSG.MSG >> log
if exist adx_sdt1:adxtivof.dat erase adx_sdt1:adxtivof.dat >> log >>* log
rem echo All Tiovli files were erased. >> log
disp_scr 45 (A:AMRLOGSG.MSG >> log
goto EXIT
:USAGE
rem echo Invalid option %1 was entered. >> log
disp_scr 42 (A:AMRLOGSG.MSG >> log
disp_scr 33 (A:AMRSCRNG.MSG
:EXIT
